Bug 461337 - Dnd a image file from webpage to nautilus desktop -> memory leak happens in gvfsd-http.
Dnd a image file from webpage to nautilus desktop -> memory leak happens in g...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 23:42 EDT by sangu
Modified: 2015-03-03 17:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 03:19:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-09-05 23:42:53 EDT
Description of problem:
Dnd a image from file webpage to nautilus desktop -> memory leak happens in gvfsd-http

About 800kB memory leak per Dnd.

4316 is gvfsd-http process number.
$ pmap -x 4316 | grep total
total kB   37532       -       -       -
$ pmap -x 4316 | grep total
total kB   38356       -       -       -
$ pmap -x 4316 | grep total
total kB   39304       -       -       -
$ pmap -x 4316 | grep total
total kB   40076       -       -       -
$ pmap -x 4316 | grep total
total kB   40784       -       -       -
$ pmap -x 4316 | grep total
total kB   41492       -       -       -
$ pmap -x 4316 | grep total
total kB   42432       -       -       -
$ pmap -x 4316 | grep total
total kB   43132  
$ pmap -x 4316 | grep total
total kB   43844       -       -   
$ pmap -x 4316 | grep total
total kB   44628    
$ pmap -x 4316 | grep total
total kB   45492 
Version-Release number of selected component (if applicable):
0.99.6-1.fc10

How reproducible:
always

Steps to Reproduce:
1. Dnd a image file from webpage (like http://fedoraproject.org/w/uploads/0/08/Artwork_ArtTeamProjects_FaceBrowser_CurrentPics.png )
2.
3.
  
Actual results:


Expected results:


Additional info:
nautilus-2.23.91-1.fc10.i386
firefox-3.0.1-1.fc10.i386
glib2-2.18.0-1.fc10.i386
Comment 1 Matthias Clasen 2008-09-06 00:25:51 EDT
Filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=551075
Comment 2 Bug Zapper 2008-11-25 21:58:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Mansfield 2008-12-16 09:40:28 EST
Hey folks, The fix is in!  The upstream fix, that is.  This is a fairly critical bug it seems to me.  I see the HEAVY memory leak related to this bug when using rhythmbox (with lastfm). The gvfsd-http backend leaked gigabytes in 24 hours, causing my box to OOM and kill it overnight.  I started it yesterday.
Comment 4 Fedora Update System 2008-12-16 12:10:26 EST
gvfs-1.0.3-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gvfs-1.0.3-4.fc10
Comment 5 Tomáš Bžatek 2008-12-17 04:36:46 EST
David, please test these updated packages, I've backported the fix from upstream, it should fix the issue.
Comment 6 Fedora Update System 2008-12-21 03:18:54 EST
gvfs-1.0.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 sangu 2008-12-23 20:31:43 EST
gvfs-https still has a small memory leaks.
2kB~8kB per a dnd.
$ ps ax | grep 4536
 4536 ?        S      0:00 /usr/libexec/gvfsd-http --spawner :1.4 /org/gtk/gvfs/exec_spaw/2
 7607 pts/2    R+     0:00 grep 4536
[sangu@localhost test]$ pmap -x 4536 | grep total <----- initial
total kB    9572       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total <----- First Dnd
total kB   20264       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20272       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20272       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20272       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20272       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20352       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20364       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20380       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20380       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20384       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20396       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20408       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20416       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20424       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20428       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20440       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20448       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20460       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20468       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20476       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20480       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20488       -       -       -
[sangu@localhost test]$ pmap -x 4536 | grep total
total kB   20500       -       -       -

Note You need to log in before you can comment on or make changes to this bug.